> For the complete documentation index, see [llms.txt](https://docs.architect.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.architect.co/algos-book/overview.md).

# Overview

{% hint style="warning" %}
Generally, users should never manually cancel individual orders sent by an algo. If you want to cancel the individual order, the user is expected to stop the entire algo.
{% endhint %}

{% tabs %}
{% tab title="Python" %}

```python
# params defined according to which algo you want to use. 
# Then all that's left is to call:
order = await client.place_algo_order(params=params, account=account)

# you can monitor it later with:
status = await client.get_algo_order_status(order.id)

# or view historical algo orders
historical_orders = await client.get_historical_algo_orders(order.id)

# modify the order if necessary
new_order = await client.modify_algo_order(algo_order_id=order.id, params=params)

# or just stop it
stop_respose = await client.stop_algo_order(order.id)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.architect.co/algos-book/overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
